# $Revision: 1.7 $, $Date: 2007/03/23 11:16:35 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Catalyst
%define	pnam	Plugin-Session-State-URI
Summary:	Catalyst::Plugin::Session::State::URI - Saves session IDs by rewriting URIs
Summary(pl.UTF-8):	Catalyst::Plugin::Session::State::URL - przechowywanie ID sesji w URI
Name:		perl-Catalyst-Plugin-Session-State-URI
Version:	0.07
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	be39a3fb40075eb72fededc51b02e4bc
URL:		http://search.cpan.org/dist/Catalyst-Plugin-Session-State-URI/
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Catalyst-Plugin-Session >= 0.01
BuildRequires:	perl-HTML-TokeParser-Simple
BuildRequires:	perl-MIME-Types
BuildRequires:	perl-Test-MockObject >= 1.01
BuildRequires:	perl-URI
BuildRequires:	perl-URI-Find
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
In order for Catalyst::Plugin::Session to work the session ID needs to
be stored on the client, and the session data needs to be stored on
the server.

This plugin cheats and instead of storing the session ID on the
client, it simply embeds the session ID into every URI sent to the
user.

%description -l pl.UTF-8
Aby wtyczka Catalyst::Plugin::Session działała, identyfikator sesji
musi być przechowywany po stronie klienta, a dane sesji - po stronie
serwera.

Ta wtyczka oszukuje i zamiast przechowywać ID sesji po stronie
klienta, po prostu osadza ID sesji w każdym URI wysyłanym do
użytkownika.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Catalyst/Plugin/Session/State/URI.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Catalyst-Plugin-Session-State-URI.spec,v $
Revision 1.7  2007/03/23 11:16:35  radek
- updated perl-Catalyst-* to newest versions

Revision 1.6  2007/02/13 07:16:53  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.4  2006/02/03 10:01:05  qboosh
- cleanup, BR: perl-Module-Build

Revision 1.3  2006/02/02 21:42:39  migo
- up to 0.02

Revision 1.2  2005/11/19 13:59:01  qboosh
- pl, generic URL

Revision 1.1  2005/11/18 19:36:37  migo
- initial revision
